#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=altair

# temporarily disable checks. altair needs vega_datasets
# but we need it enters into Debian first.
# See https://bugs.debian.org/941666
export DEB_BUILD_OPTIONS=nocheck

%:
	#dh $@ --with python3,sphinxdoc --buildsystem=pybuild
	dh $@ --with python3 --buildsystem=pybuild

# TODO: Most of the html documentation fetches JS scripts from an external
# source (cdn.jsdelivr.net). Enable building it just when a local copy of
# those scripts becomes available. If ever possible.
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html # HTML generator
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman doc/ build/man # Manpage generator
